---
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

#   Installation steps : (install)
#       1. prepare
#       2. download
#    -> 3. configure
#       4. activate

- name: Configure - Update Ansible facts
  ansible.builtin.gather_facts:

# https://docs.docker.com/engine/reference/commandline/dockerd/#daemon-configuration-file
- name: Configure - Create docker service configuration
  ansible.builtin.copy:
    content: "{{ _docker_service_config | to_nice_json }}"
    dest: /etc/docker/daemon.json
    mode: 0600
  notify: restart docker
  when: _docker_service_config | length > 0

- name: Configure - Create docker service systemd directory
  ansible.builtin.file:
    path: /etc/systemd/system/docker.service.d
    state: directory
    mode: 0755

- name: Configure - Create docker service proxy configuration
  ansible.builtin.template:
    src: http-proxy.conf.j2
    dest: /etc/systemd/system/docker.service.d/http-proxy.conf
    mode: 0600
  notify: Reload systemd

- name: Configure - Apply changes to 'current login user'
  ansible.builtin.meta: reset_connection
  # Skipping meta tasks with tags is not supported before Ansible 2.11.
  # when: ansible_user in docker_users
